package ch.phoenix.oss.quarkus.commons.client.logger;

import io.smallrye.config.ConfigMapping;
import io.smallrye.config.WithConverter;
import jakarta.ws.rs.core.HttpHeaders;
import java.util.Optional;
import java.util.Set;

@ConfigMapping(prefix = "phoenix.client-logger")
public interface RedactingClientLoggerConfiguration {

    Headers headers();

    interface Headers {

        Set<String> DEFAULT_REDACTED_HEADERS = Set.of(HttpHeaders.AUTHORIZATION.toLowerCase());

        Optional<Set<@WithConverter(LowerCaseStringConverter.class) String>> redact();
    }
}
